> For the complete documentation index, see [llms.txt](https://docs.partner.aboutyou.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.partner.aboutyou.com/api/stock-and-prices/get-stock-batch-results.md).

# Get Stock Batch Results

## Get Stock Batch Results

> \*\*Rate limit:\*\* 200 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"StockBatchResultsResponseSchema":{"properties":{"batchRequestId":{"description":"Unique identifier (UUID)","format":"uuid","title":"Batchrequestid","type":"string"},"status":{"$ref":"#/components/schemas/RequestStatus","description":"Status of the batch processing"},"items":{"description":"List of result items for stock update","items":{"$ref":"#/components/schemas/UpdateStockResultItemSchema"},"title":"Items","type":"array"}},"required":["batchRequestId","status","items"],"title":"StockBatchResultsResponseSchema","type":"object"},"RequestStatus":{"enum":["pending","processing","completed","retry","failed"],"title":"RequestStatus","type":"string"},"UpdateStockResultItemSchema":{"properties":{"requestItem":{"$ref":"#/components/schemas/UpdateStockItemSchema"},"success":{"title":"Success","type":"boolean"},"errors":{"items":{"description":"Error message if and why the operation failed","type":"string"},"title":"Errors","type":"array"}},"required":["requestItem","success","errors"],"title":"UpdateStockResultItemSchema","type":"object"},"UpdateStockItemSchema":{"properties":{"sku":{"description":"Stock Keeping Unit identifier","maxLength":120,"title":"Sku","type":"string"},"quantity":{"description":"Quantity to update","maximum":1000000,"minimum":0,"title":"Quantity","type":"integer"},"valid_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Merchant-reported timestamp indicating when this stock data was valid. Used for stale data detection to prevent older updates from overwriting newer data.","title":"Valid At"}},"required":["sku","quantity"],"title":"UpdateStockItemSchema","type":"object"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/results/stocks":{"get":{"operationId":"scapi_app_endpoints_result_api_get_stock_batch_results","summary":"Get Stock Batch Results","parameters":[{"in":"query","name":"batch_request_id","schema":{"format":"uuid","title":"Batch Request Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockBatchResultsResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 200 requests per minute","tags":["Results"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.partner.aboutyou.com/api/stock-and-prices/get-stock-batch-results.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
